﻿@page
@model Project_PRN221_1.Pages.Admin.UserManageModel
@{
}
<style>
    .table {
        width: 100%;
        border-collapse: collapse;
        margin-bottom: 20px;
    }

        .table th,
        .table td {
            padding: 8px;
            border: 1px solid #ddd;
        }

        .table th {
            background-color: #f2f2f2;
            font-weight: bold;
        }

        .table tr:nth-child(even) {
            background-color: #f2f2f2;
        }

        .table tr:hover {
            background-color: #ddd;
        }

    .btn {
        display: inline-block;
        padding: 8px 16px;
        border: 1px solid #007bff;
        border-radius: 4px;
        background-color: #007bff;
        color: #fff;
        text-decoration: none;
    }

        .btn:hover {
            background-color: #0056b3;
        }

    .btn-primary {
        background-color: #007bff;
        border-color: #007bff;
    }

        .btn-primary:hover {
            background-color: #0056b3;
            border-color: #0056b3;
        }

    .btn-danger {
        background-color: #dc3545;
        border-color: #dc3545;
    }

        .btn-danger:hover {
            background-color: #c82333;
            border-color: #bd2130;
        }

    .btn-secondary {
        background-color: #28a745;
        border-color: #28a745;
    }

        .btn-secondary:hover {
            background-color: #218838;
            border-color: #1e7e34;
        }

    .btn-warning {
        background-color: #ffc107; 
        border-color: #ffc107;
    }

        .btn-warning:hover {
            background-color: #e0a800;
            border-color: #e0a800; 
        }
</style>
<h1>Manage Users</h1>

<table class="table">
    <thead>
        <tr>
            <th>Username</th>
            <th>Email</th>
            <th>Role</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var user in Model.Users)
        {
            <tr>
                <td>@user.Username</td>
                <td>@user.Email</td>
                <td>@user.Role.RoleName</td>
                <td>
                    @if (user.RoleId != 2)
                    {
                        @if (user.RoleId == 1)
                        {
                            <form method="post" asp-page-handler="SetCensor">
                                <button type="submit" class="btn btn-primary">Set as Censor</button>
                                <input type="hidden" name="u" value="@user" />
                                <input type="hidden" name="userId" value="@user.UserId" />
                            </form>
                        }
                        else if (user.RoleId == 3)
                        {
                            <form method="post" asp-page-handler="UnsetCensor">
                                <button type="submit" class="btn btn-secondary">Unset as Censor</button>
                                <input type="hidden" name="u" value="@user" />
                                <input type="hidden" name="userId" value="@user.UserId" />
                            </form>
                        }
                        @if (user.IsActive == 1)
                        {
                            <form method="post" asp-page-handler="Deactive">
                                <button type="submit" class="btn btn-warning">Deactive</button>
                                <input type="hidden" name="u" value="@user" />
                                <input type="hidden" name="userId" value="@user.UserId" />
                            </form>
                        }
                        <form method="post">
                            <button type="submit" class="btn btn-danger">Delete</button>
                            <input type="hidden" name="u" value="@user" />
                            <input type="hidden" name="userId" value="@user.UserId" />
                        </form>
                    }

                </td>
            </tr>
        }
    </tbody>
</table>